%define upstream_name    Time-ParseDate
%define upstream_version 2015.103

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 7

Summary:    Time modules for perl
License:    distributable
Group:      Development/Perl
Url:        https://www.cpan.org/modules/by-module/Time/
Source0:    %{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(Time::Piece)
BuildArch:  noarch

Obsoletes:  perl-Time-modules <= 2013.0912

%description
This package contains the following perl5 modules:

        Time::CTime
                ctime, strftime, and asctime
        Time::JulianDay
                Julian Day conversions
        Time::ParseDate
                Reverses strftime and also understands relative times
        Time::Timezone
        Time::DaysInMonth

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor PREFIX=%{_prefix}
%{__make}

%install
%{__make} install DESTDIR=$RPM_BUILD_ROOT

%files
%doc Changes META.json META.yml MYMETA.yml README
%{_mandir}/*/*
%{perl_vendorlib}/Time/*


%changelog
* Fri Jun 27 2025 umeabot <umeabot> 2015.103.0-7.mga10
+ Revision: 2206500
- Mageia 10 Mass Rebuild

* Mon Mar 21 2022 umeabot <umeabot> 2015.103.0-6.mga9
+ Revision: 1813344
- Mageia 9 Mass Rebuild

* Thu Oct 15 2020 tv <tv> 2015.103.0-5.mga8
+ Revision: 1636211
- fix prefix thus fixing installing

* Wed Feb 12 2020 umeabot <umeabot> 2015.103.0-4.mga8
+ Revision: 1497850
- Mageia 8 Mass Rebuild

* Wed Sep 19 2018 umeabot <umeabot> 2015.103.0-3.mga7
+ Revision: 1272379
- Mageia 7 Mass Rebuild

* Sun Jun 19 2016 pterjan <pterjan> 2015.103.0-2.mga6
+ Revision: 1035307
- Rebuild for perl 5.22.2

* Fri Apr 15 2016 shlomif <shlomif> 2015.103.0-1.mga6
+ Revision: 1002325
- update to 2015.103

* Mon Feb 01 2016 umeabot <umeabot> 2013.111.300-5.mga6
+ Revision: 929730
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 2013.111.300-4.mga5
+ Revision: 750361
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 2013.111.300-3.mga5
+ Revision: 686701
- Mageia 5 Mass Rebuild

* Thu Mar 13 2014 jquelin <jquelin> 2013.111.300-2.mga5
+ Revision: 602825
- typo in obsoletes tag

* Tue Feb 25 2014 jquelin <jquelin> 2013.111.300-1.mga5
+ Revision: 596996
- update to 2013.1113
- dist renamed upstream
- dist renamed upstream

* Sat Oct 19 2013 umeabot <umeabot> 2013.91.200-2.mga4
+ Revision: 534648
- Mageia 4 Mass Rebuild

* Fri Sep 13 2013 sander85 <sander85> 2013.91.200-1.mga4
+ Revision: 478490
- update to 2013.0912

* Sun Jan 13 2013 umeabot <umeabot> 2011.51.700-2.mga3
+ Revision: 374364
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Fri Jun 17 2011 jquelin <jquelin> 2011.51.700-1.mga2
+ Revision: 109034
- update to 2011.0517

* Sat Jan 22 2011 jquelin <jquelin> 2006.0814-4.mga1
+ Revision: 31384
- mageia rebuild
- imported package perl-Time-modules

